2019-08-26 11:30 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0005416Spring engineLinuxpublic2016-12-15 17:12
Reportercleanrock 
Assigned Tohokomoko 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0005416: error: call of overloaded ‘gluOrtho2D(int, int, int, int)’ is ambiguous
Descriptionarchlinux, gcc 6.2.1

$ make install-spring

Building CXX object rts/aGui/CMakeFiles/engineaGui.dir/Gui.cpp.o

/home/johanr/my_projects/spring/rts/aGui/Gui.cpp: In member function ‘void agui::Gui::Draw()’:
/home/johanr/my_projects/spring/rts/aGui/Gui.cpp:31:23: error: call of overloaded ‘gluOrtho2D(int, int, int, int)’ is ambiguous
  gluOrtho2D(0, 1, 0, 1);
                       ^
In file included from /usr/include/GL/glew.h:1205:0,
                 from /home/johanr/my_projects/spring/rts/Rendering/GL/myGL.h:14,
                 from /home/johanr/my_projects/spring/rts/aGui/Gui.cpp:10:
/usr/include/GL/glu.h:325:23: note: candidate: void gluOrtho2D(GLdouble, GLdouble, GLdouble, GLdouble)
 GLAPI void GLAPIENTRY gluOrtho2D (GLdouble left, GLdouble right, GLdouble bottom, GLdouble top);
                       ^~~~~~~~~~
In file included from /home/johanr/my_projects/spring/rts/aGui/Gui.cpp:10:0:
/home/johanr/my_projects/spring/rts/Rendering/GL/myGL.h:58:20: note: candidate: void gluOrtho2D(float, float, float, float)
 static inline void gluOrtho2D(float l, float r, float b, float t) { glOrtho(l, r, b, t, -1.0f, 1.0f); }
                    ^~~~~~~~~~
make[3]: *** [rts/aGui/CMakeFiles/engineaGui.dir/build.make:87: rts/aGui/CMakeFiles/engineaGui.dir/Gui.cpp.o] Error 1
make[2]: *** [CMakeFiles/Makefile2:3318: rts/aGui/CMakeFiles/engineaGui.dir/all] Error 2
make[1]: *** [CMakeFiles/Makefile2:3529: rts/builds/CMakeFiles/install-spring.dir/rule] Error 2
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
+Relationships

-Notes

~0016964

Anonymous (viewer)

Fix ac1b65ea7c1850c73dfb907f1c6be0d5399411c4 committed to develop branch: fix 0005416, repo: spring changeset id: 7670

~0016965

hokomoko (developer)

Fix 9588c7f5cc7f5b66cec7e003a67f72ad58f04fe2 committed to develop branch: actually fix 0005416, repo: spring changeset id: 7671

~0016966

hokomoko (developer)

Fix 5cb71558c6927c5d02ea0d9f5cc036ae394b8c73 committed to develop branch: Fix 0005416 take 3, repo: spring changeset id: 7680
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2016-12-14 18:04 cleanrock New Issue
2016-12-14 18:16 Changeset attached => spring develop ac1b65ea
2016-12-14 18:16 Anonymous Note Added: 0016964
2016-12-14 18:16 Anonymous Status new => resolved
2016-12-14 18:16 Anonymous Resolution open => fixed
2016-12-14 22:44 hokomoko Changeset attached => spring develop 9588c7f5
2016-12-14 22:44 hokomoko Note Added: 0016965
2016-12-14 22:44 hokomoko Assigned To => hokomoko
2016-12-15 17:12 hokomoko Changeset attached => spring develop 5cb71558
2016-12-15 17:12 hokomoko Note Added: 0016966
+Issue History